/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 15/12/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import  javax.validation.constraints.NotNull;

import java.util.List;

import  javax.validation.constraints.Max;
import  lombok.Getter;
import  lombok.Setter;


@Getter
@Setter
public class RekananDto {
    
    private Integer kdRekanan;
    
    @NotNull(message = "rekanan.namarekanan.notnull")
    private String namaRekanan;
    
    @NotNull(message = "rekanan.reportdisplay.notnull")
    private String reportDisplay;
    
    private String contactPerson;
    
    private String nPWP;
    
    private String noPKP;
    
    private Integer kdAccount;
    
    @NotNull(message = "rekanan.kdjenisrekanan.notnull")
    private Integer kdJenisRekanan;
    
    private String kdPegawai;
    
    private Integer kdRekananHead;
    
    private String kdDepartemen;
    
    @NotNull(message = "rekanan.tgldaftar.notnull")
    private Long  tglDaftar;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    private Long  tglAwal;
    
    private Long  tglAkhir;
    
    private String gambarLogo;
    
    @NotNull(message = "rekanan.statusenabled.notnull")
    private Boolean statusEnabled;
    
    private String noRec;
    
    private Integer version;
    
    List<RekananDetailDto> rekananDetailDto;

}
